> For the complete documentation index, see [llms.txt](https://developers.accesstrade.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.accesstrade.vn/api-publisher-vietnamese/lay-thong-tin-datafeeds.md).

# Lấy thông tin datafeeds

**Method: GET**

#### HTTP Request <a href="#http-request" id="http-request"></a>

```
https://api.accesstrade.vn/v1/datafeeds
```

Các biến params được truyền vào HTTP Request theo các cặp Key-Value, mở đầu chuỗi params bằng dấu “?” và giữa các biến phân tách nhau bằng dấu “&”. Vd:

```
https://api.accesstrade.vn/v1/datafeeds?domain=lazada.vn&sku=AN273FAAA1FXLXVNAMZ-2293380
```

#### Query parameters <a href="#query-parameters" id="query-parameters"></a>

| Biến params            | Required | Mô tả                                                                        |
| ---------------------- | -------- | ---------------------------------------------------------------------------- |
| campaign               | tùy chọn | Merchant của owner sản phẩm. vd: lazada                                      |
| domain                 | tùy chọn | Domain của owner sản phẩm. vd: lazada.vn                                     |
| discount\_amount\_from | tùy chọn | lọc giá được giảm (chiết khấu) từ                                            |
| discount\_amount\_to   | tùy chọn | lọc giá được giảm (chiết khấu) đến                                           |
| discount\_rate\_from   | tùy chọn | lọc tỷ lệ giá được giảm từ                                                   |
| discount\_rate\_to     | tùy chọn | lọc tỷ lệ giá được giảm đến                                                  |
| page                   | tùy chọn | Nhập số thứ tự page lấy ra, max = total/limit. Mặc định = 1                  |
| limit                  | tùy chọn | Số lượng sản phẩm cần lấy, mặc định là 50, max = 200                         |
| price\_from            | tùy chọn | lọc giá ban đầu từ                                                           |
| price\_to              | tùy chọn | lọc giá ban đầu đến                                                          |
| discount\_from         | tùy chọn | lọc giá khuyến mại từ                                                        |
| discount\_to           | tùy chọn | lọc giá khuyến mại đến                                                       |
| status\_discount       | tùy chọn | lọc theo trạng thái khuyến mại. 0 - không được khuyến mại, 1 - có khuyến mại |
| update\_from           | tùy chọn | lọc theo thời gian update datafeed từ. vd: 08-09-2017                        |
| update\_to             | tùy chọn | lọc theo thời gian update datafeed đến. vd: 10-09-2017                       |

#### Mô tả kết quả <a href="#m-t-k-t-qu" id="m-t-k-t-qu"></a>

| Key              | Mô tả                                                       |
| ---------------- | ----------------------------------------------------------- |
| cate             | Danh mục sản phẩm                                           |
| desc             | Mô tả chi tiết sản phẩm                                     |
| discount         | giá sau khuyến mại                                          |
| campaign         | chiến dịch                                                  |
| domain           | domain của owner sản phẩm                                   |
| image            | url ảnh sản phẩm                                            |
| name             | tên sản phẩm                                                |
| price            | giá sản phẩm trước khuyến mại                               |
| product\_id      | id của sản phẩm                                             |
| sku              | mã sản phẩm                                                 |
| url              | link sản phẩm                                               |
| aff\_link        | Deep link                                                   |
| status\_discount | trạng thái khuyến mại. 0 - ko khuyến mại, 1 - có khuyến mại |
| discount\_amount | giá được giảm                                               |
| discount\_rate   | phần trăm được giảm                                         |
| update\_time     | thời gian update                                            |

> API response trả về

```
{
    "data": [
        {
            "aff_link": "https://go.isclix.com/deep_link/4348611760548105593?url=https%3A%2F%2Fwww.lazada.vn%2Fao-thun-cao-cap-hinh-star-wars-coffee-mitadi-aste072-2423013.html",
            "campaign": "lazadaapp",
            "cate": "thoi-trang-my-pham",
            "desc": null,
            "discount": 175000.0,
            "discount_amount": 0.0,
            "discount_rate": 0.0,
            "domain": "lazada.vn",
            "image": "https://vn-live-01.slatic.net/p/7/ao-thun-cao-cap-hinh-star-wars-coffee-mitadi-aste072-1479373990-3103242-3b4b9c7018198c05f648390fb741036c-product.jpg",
            "merchant": "lazadaapp",
            "name": "Áo Thun Cao Cấp Hình Star Wars Coffee - MITADI – ASTE072",
            "price": 175000.0,
            "product_id": "224_AN273FAAA1FXLXVNAMZ-2293380",
            "promotion": null,
            "sku": "AN273FAAA1FXLXVNAMZ-2293380",
            "status_discount": 0,
            "update_time": "24-07-2018T01:02:19",
            "url": "https://www.lazada.vn/ao-thun-cao-cap-hinh-star-wars-coffee-mitadi-aste072-2423013.html"
        }
    ],
    "total": 1
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.accesstrade.vn/api-publisher-vietnamese/lay-thong-tin-datafeeds.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
